RMOBJ(3)

NAME
rmobj - Remove a file, or a directory and all its subdirectories

SYNOPSIS
int rmobj(object, errmsg);
   char *object;
   char **errmsg;

DESCRIPTION
The rmobj function will remove the specified object. If the specified object is a directory, it will recursively remove the directory and everything underneath it. rmobj assumes that it has the necessary privilege to remove whatever was specified. If rmobj encounters any problems, and errmsg is not NULL, errmsg is set to point to a string explaining the error.

RETURN VALUE
If rmobj encounters any problems, it will set errmsg (if it was not NULL) and return -1. Otherwise it will return 0.

SEE ALSO
rmdir(2)
unlink(2)